Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Interface PageIterator<T>

    public interface PageIterator<T>

Extends `Iterator`, provides additional paging methods using the default iterator methods. This will simply iterate through every item from the current page on until the end fetching more pages as necessary.

Since:
  7.0

Method Summary
`int` | `getPageSize()` Returns the maximum number of results per page
`boolean` | `hasNext()` Returns true if there are more pages.
`ResultIterator<T>` | `next()` Returns a simple `Iterator` over the results in the next page
`ResultIterator<T>` | `seekToPage(int page)` Seeks to a page.

Method Detail

### getPageSize

    int getPageSize()

  Returns the maximum number of results per page

  Returns:
    page size

### seekToPage

    ResultIterator<T> seekToPage(int page)
                                 throws QueryStructureException,
                                        java.lang.IllegalArgumentException

  Seeks to a page. May result in the query being re-executed, if the seek to the current or previous page.

  Parameters:
    `page` - page number
  Returns:
    result iterator for the given page
  Throws:
    `QueryStructureException`
    `java.lang.IllegalArgumentException`

### hasNext

    boolean hasNext()

  Returns true if there are more pages. The remaining results are not fetched until next is called, so the final page may be an empty `Iterator`.

  Returns:
    `true` if there are more pages

### next

    ResultIterator<T> next()
                           throws QueryStructureException

  Returns a simple `Iterator` over the results in the next page

  Returns:
    result iterator for the current page
  Throws:
    `QueryStructureException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD